Subject: removing @sc from manual

From: [email-masked] (Karl Berry)
Date: Fri, 4 Jan 2013 23:39:42 GMT

(Continuing on from 13358).

    It seems you're using an older version, 

So I was.  Argh.

    as Jim already did this:
    http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commit;h=26db95c

He replaced @acronym.  @sc should go too.

k

2013-01-04  Karl Berry  <[email-masked]>

	* coreutils.texi: avoid @sc; it is unnecessary.

@@ -3,3 +3,3 @@
 @setfilename coreutils.info
-@settitle @sc{gnu} Coreutils
+@settitle GNU Coreutils
 
@@ -138,3 +138,3 @@
 @copying
-This manual documents version @value{VERSION} of the @sc{gnu} core
+This manual documents version @value{VERSION} of the GNU core
 utilities, including the standard programs for text and file manipulation.
@@ -154,3 +154,3 @@
 @titlepage
-@title @sc{gnu} @code{Coreutils}
+@title GNU @code{Coreutils}
 @subtitle Core GNU utilities
@@ -471,3 +471,3 @@
 * Time of day items::            9:20pm
-* Time zone items::              @sc{est}, @sc{pdt}, @sc{gmt}
+* Time zone items::              EST, PDT, GMT, @dots{}}
 * Day of week items::            Monday and others
@@ -502,3 +502,3 @@
 basic concepts in a way suitable for novices.  Thus, if you are interested,
-please get involved in improving this manual.  The entire @sc{gnu} community
+please get involved in improving this manual.  The entire GNU community
 will benefit.
@@ -506,3 +506,3 @@
 @cindex POSIX
-The @sc{gnu} utilities documented here are mostly compatible with the
+The GNU utilities documented here are mostly compatible with the
 POSIX standard.
@@ -585,4 +585,4 @@
 @opindex --null
-@cindex output @sc{nul}-byte-terminated lines
-Output a zero byte (ASCII @sc{nul}) at the end of each line,
+@cindex output NUL-byte-terminated lines
+Output a zero byte (ASCII NUL) at the end of each line,
 rather than a newline.  This option enables other programs to parse the
@@ -669,3 +669,3 @@
 writing identical descriptions for each of the programs, they are
-described here.  (In fact, every @sc{gnu} program accepts (or should accept)
+described here.  (In fact, every GNU program accepts (or should accept)
 these options.)
@@ -774,3 +774,3 @@
 
-Some @sc{gnu} programs (at least @command{cp}, @command{install},
+Some GNU programs (at least @command{cp}, @command{install},
 @command{ln}, and @command{mv}) optionally make backups of files
@@ -848,3 +848,3 @@
 
-Some @sc{gnu} programs (at least @command{df}, @command{du}, and
+Some GNU programs (at least @command{df}, @command{du}, and
 @command{ls}) display sizes in ``blocks''.  You can adjust the block size
@@ -1272,3 +1272,3 @@
 However, this doesn't move files whose names begin with @samp{.}.
-If you use the @sc{gnu} @command{find} program, you can move those
+If you use the GNU @command{find} program, you can move those
 files too, with this command:
@@ -1284,3 +1284,3 @@
 The following example removes those limitations and requires both
-@sc{gnu} @command{find} and @sc{gnu} @command{xargs}:
+GNU @command{find} and GNU @command{xargs}:
 
@@ -1304,3 +1304,3 @@
 
-Some @sc{gnu} programs (at least @command{cp} and @command{mv}) allow you to
+Some GNU programs (at least @command{cp} and @command{mv}) allow you to
 remove any trailing slashes from each @var{source} argument before
@@ -1382,3 +1382,3 @@
 legitimate uses for such a command,
-@sc{gnu} @command{rm} normally declines to operate on any directory
+GNU @command{rm} normally declines to operate on any directory
 that resolves to @file{/}.  If you really want to try to remove all
@@ -1436,3 +1436,3 @@
 @vindex POSIXLY_CORRECT
-In a few cases, the @sc{gnu} utilities' default behavior is
+In a few cases, the GNU utilities' default behavior is
 incompatible with the POSIX standard.  To suppress these
@@ -1451,3 +1451,3 @@
 @vindex _POSIX2_VERSION
-The @sc{gnu} utilities normally conform to the version of POSIX
+The GNU utilities normally conform to the version of POSIX
 that is standard for your system.  To cause them to conform to a
@@ -1882,3 +1882,3 @@
 least @var{bytes} consecutive ASCII graphic characters,
-followed by a zero byte (ASCII @sc{nul}).
+followed by a zero byte (ASCII NUL).
 Prefixes and suffixes on @var{bytes} are interpreted as for the
@@ -1980,3 +1980,3 @@
 The next several options are shorthands for format specifications.
-@sc{gnu} @command{od} accepts any combination of shorthands and format
+GNU @command{od} accepts any combination of shorthands and format
 specification options.  These options accumulate.
@@ -2768,3 +2768,3 @@
 @cindex BSD @command{tail}
-@sc{gnu} @command{tail} can output any amount of data (some other versions of
+GNU @command{tail} can output any amount of data (some other versions of
 @command{tail} cannot).  It also has no @option{-r} option (print in
@@ -2774,3 +2774,3 @@
 typically 32 KiB@.  A more reliable and versatile way to reverse files is
-the @sc{gnu} @command{tac} command.
+the GNU @command{tac} command.
 
@@ -3492,3 +3492,3 @@
 those named in file @var{file}; each name being terminated by a zero byte
-(ASCII @sc{nul}).
+(ASCII NUL).
 This is useful \withTotalOption\
@@ -3499,6 +3499,6 @@
 \subListOutput\ for each sublist rather than for the entire list.
-One way to produce a list of ASCII @sc{nul} terminated file
-names is with @sc{gnu}
+One way to produce a list of ASCII NUL terminated file
+names is with GNU
 @command{find}, using its @option{-print0} predicate.
-If @var{file} is @samp{-} then the ASCII @sc{nul} terminated
+If @var{file} is @samp{-} then the ASCII NUL terminated
 file names are read from standard input.
@@ -3540,3 +3540,3 @@
 
-By default, @sc{gnu} @command{sum} computes checksums using an algorithm
+By default, GNU @command{sum} computes checksums using an algorithm
 compatible with BSD @command{sum} and prints file sizes in units of
@@ -3912,5 +3912,5 @@
 
-@sc{gnu} @command{sort} (as specified for all @sc{gnu} utilities) has no
+GNU @command{sort} (as specified for all GNU utilities) has no
 limit on input line length or restrictions on bytes allowed within lines.
-In addition, if the final byte of an input file is not a newline, @sc{gnu}
+In addition, if the final byte of an input file is not a newline, GNU
 @command{sort} silently supplies one.  A line's trailing newline is not
@@ -4278,3 +4278,3 @@
 
-To specify ASCII @sc{nul} as the field separator,
+To specify ASCII NUL as the field separator,
 use the two-character string @samp{\0}, e.g., @samp{sort -t '\0'}.
@@ -4327,5 +4327,5 @@
 @cindex process zero-terminated items
-Delimit items with a zero byte rather than a newline (ASCII @sc{lf}).
-I.e., treat input as items separated by ASCII @sc{nul}
-and terminate output items with ASCII @sc{nul}.
+Delimit items with a zero byte rather than a newline (ASCII LF).
+I.e., treat input as items separated by ASCII NUL
+and terminate output items with ASCII NUL.
 This option can be useful in conjunction with @samp{perl -0} or
@@ -4342,3 +4342,3 @@
 @option{-b}, @option{-f}, and @option{-n}.
-@sc{gnu} sort follows the POSIX
+GNU sort follows the POSIX
 behavior, which is usually (but not always!) like the System V behavior.
@@ -4779,3 +4779,3 @@
 With @option{--zero-terminated} (@option{-z}), use a zero
-byte (ASCII @sc{nul}) instead of a newline.
+byte (ASCII NUL) instead of a newline.
 
@@ -4784,3 +4784,3 @@
 With @option{--zero-terminated} (@option{-z}), use a zero
-byte (ASCII @sc{nul}) instead of a newline.
+byte (ASCII NUL) instead of a newline.
 This is the same as using @samp{prepend}, except that
@@ -4795,3 +4795,3 @@
 
-This is a @sc{gnu} extension.
+This is a GNU extension.
 @c FIXME: give an example showing *how* it's useful
@@ -4917,6 +4917,6 @@
 The @option{-G} (or its equivalent: @option{--traditional}) option disables
-all @sc{gnu} extensions and reverts to traditional mode, thus introducing some
+all GNU extensions and reverts to traditional mode, thus introducing some
 limitations and changing several of the program's default option values.
-When @option{-G} is not specified, @sc{gnu} extensions are always enabled.
-@sc{gnu} extensions to @command{ptx} are documented wherever appropriate in this
+When @option{-G} is not specified, GNU extensions are always enabled.
+GNU extensions to @command{ptx} are documented wherever appropriate in this
 document.  @xref{Compatibility in ptx}, for the full list.
@@ -4925,3 +4925,3 @@
 
-When @sc{gnu} extensions are enabled, there may be zero, one or several
+When GNU extensions are enabled, there may be zero, one or several
 @var{file}s after the options.  If there is no @var{file}, the program
@@ -4935,3 +4935,3 @@
 
-When @sc{gnu} extensions are @emph{not} enabled, that is, when the program
+When GNU extensions are @emph{not} enabled, that is, when the program
 operates in traditional mode, there may be zero, one or two parameters
@@ -4945,3 +4945,3 @@
 destroyed.  This behavior is dictated by System V @command{ptx}
-compatibility; @sc{gnu} Standards normally discourage output parameters not
+compatibility; GNU Standards normally discourage output parameters not
 introduced by an option.
@@ -4969,3 +4969,3 @@
 @itemx --traditional
-As already explained, this option disables all @sc{gnu} extensions to
+As already explained, this option disables all GNU extensions to
 @command{ptx} and switches to traditional mode.
@@ -4992,3 +4992,3 @@
 @emph{unless} it is compiled for MS-DOS, in which case it uses the
-character set of the IBM-PC@.  (@sc{gnu} @command{ptx} is not known to work on
+character set of the IBM-PC@.  (GNU @command{ptx} is not known to work on
 smaller MS-DOS machines anymore.)  Compared to 7-bit ASCII, the set
@@ -5025,5 +5025,5 @@
 
-When @sc{gnu} extensions are enabled, the only way to avoid newline as a
+When GNU extensions are enabled, the only way to avoid newline as a
 break character is to write all the break characters in the file with no
-newline at all, not even at the end of the file.  When @sc{gnu} extensions
+newline at all, not even at the end of the file.  When GNU extensions
 are disabled, spaces, tabs and newlines are always considered as break
@@ -5066,3 +5066,3 @@
 @emph{when} the context ends exactly at the newline.  If option
-@option{-r} is used with @option{-S} default value, or when @sc{gnu} extensions
+@option{-r} is used with @option{-S} default value, or when GNU extensions
 are disabled, this condition is always met and references are completely
@@ -5077,5 +5077,5 @@
 line boundaries have no special significance outside this option.  By
-default, when @sc{gnu} extensions are enabled and if @option{-r} option is not
+default, when GNU extensions are enabled and if @option{-r} option is not
 used, end of sentences are used.  In this case, this @var{regex} is
-imported from @sc{gnu} Emacs:
+imported from GNU Emacs:
 
@@ -5085,3 +5085,3 @@
 
-Whenever @sc{gnu} extensions are disabled or if @option{-r} option is used, end
+Whenever GNU extensions are disabled or if @option{-r} option is used, end
 of lines are used; in this case, the default @var{regexp} is just:
@@ -5117,4 +5117,4 @@
 This option selects which regular expression will describe each keyword.
-By default, if @sc{gnu} extensions are enabled, a word is a sequence of
-letters; the @var{regexp} used is @samp{\w+}.  When @sc{gnu} extensions are
+By default, if GNU extensions are enabled, a word is a sequence of
+letters; the @var{regexp} used is @samp{\w+}.  When GNU extensions are
 disabled, a word is by default anything which ends with a space, a tab
@@ -5138,3 +5138,3 @@
 described in the table below.  When neither @option{-O} nor @option{-T} are
-selected, and if @sc{gnu} extensions are enabled, the program chooses an
+selected, and if GNU extensions are enabled, the program chooses an
 output format suitable for a dumb terminal.  Each keyword occurrence is
@@ -5145,3 +5145,3 @@
 left context, that is, if option @option{-R} is @emph{not} selected, then
-a colon is added after the reference; this nicely interfaces with @sc{gnu}
+a colon is added after the reference; this nicely interfaces with GNU
 Emacs @code{next-error} processing.  In this default output format, each
@@ -5198,3 +5198,3 @@
 
-This option is automatically selected whenever @sc{gnu} extensions are
+This option is automatically selected whenever GNU extensions are
 disabled.
@@ -5241,3 +5241,3 @@
 so it will be possible to write a @samp{.xx} roff macro to take care of
-the output typesetting.  This is the default output format when @sc{gnu}
+the output typesetting.  This is the default output format when GNU
 extensions are disabled.  Option @option{-M} can be used to change
@@ -5287,3 +5287,3 @@
 @node Compatibility in ptx
-@subsection The @sc{gnu} extensions to @command{ptx}
+@subsection The GNU extensions to @command{ptx}
 
@@ -5292,4 +5292,4 @@
 @option{-G} command line option, unless overridden by other command line
-options.  Some @sc{gnu} extensions cannot be recovered by overriding, so the
-simple rule is to avoid @option{-G} if you care about @sc{gnu} extensions.
+options.  Some GNU extensions cannot be recovered by overriding, so the
+simple rule is to avoid @option{-G} if you care about GNU extensions.
 Here are the differences between this program and System V @command{ptx}.
@@ -5306,4 +5306,4 @@
 Having output parameters not introduced by options is a dangerous
-practice which @sc{gnu} avoids as far as possible.  So, for using @command{ptx}
-portably between @sc{gnu} and System V, you should always use it with a
+practice which GNU avoids as far as possible.  So, for using @command{ptx}
+portably between GNU and System V, you should always use it with a
 single input file, and always expect the result on standard output.  You
@@ -5316,5 +5316,5 @@
 @option{-f}, @option{-g}, @option{-i}, @option{-o}, @option{-r}, @option{-t} and
-@option{-w}.  All other options are @sc{gnu} extensions and are not repeated in
+@option{-w}.  All other options are GNU extensions and are not repeated in
 this enumeration.  Moreover, some options have a slightly different
-meaning when @sc{gnu} extensions are enabled, as explained below.
+meaning when GNU extensions are enabled, as explained below.
 
@@ -5327,3 +5327,3 @@
 Unless @option{-R} option is used, the maximum reference width is
-subtracted from the total output line width.  With @sc{gnu} extensions
+subtracted from the total output line width.  With GNU extensions
 disabled, width of references is not taken into account in the output
@@ -5332,4 +5332,4 @@
 @item
-All 256 bytes, even ASCII @sc{nul} bytes, are always read and
-processed from input file with no adverse effect, even if @sc{gnu} extensions
+All 256 bytes, even ASCII NUL bytes, are always read and
+processed from input file with no adverse effect, even if GNU extensions
 are disabled.  However, System V @command{ptx} does not accept 8-bit
@@ -5339,3 +5339,3 @@
 @item
-Input line length is only limited by available memory, even if @sc{gnu}
+Input line length is only limited by available memory, even if GNU
 extensions are disabled.  However, System V @command{ptx} processes only
@@ -5345,3 +5345,3 @@
 The break (non-word) characters default to be every character except all
-letters of the underlying character set, diacriticized or not.  When @sc{gnu}
+letters of the underlying character set, diacriticized or not.  When GNU
 extensions are disabled, the break characters default to space, tab and
@@ -5350,3 +5350,3 @@
 @item
-The program makes better use of output line width.  If @sc{gnu} extensions
+The program makes better use of output line width.  If GNU extensions
 are disabled, the program rather tries to imitate System V @command{ptx},
@@ -5874,3 +5874,3 @@
 the whole line is considered, matching the default operation of sort.
-If @samp{-t '\0'} is specified then the ASCII @sc{nul}
+If @samp{-t '\0'} is specified then the ASCII NUL
 character is used to delimit the fields.
@@ -6007,3 +6007,3 @@
 
-@sc{gnu} @command{tr} does not support the System V syntax that uses square
+GNU @command{tr} does not support the System V syntax that uses square
 brackets to enclose ranges.  Translations specified in that format
@@ -6095,3 +6095,3 @@
 But there seems to be no standard way to define them or determine their
-contents.  Therefore, they are not fully implemented in @sc{gnu} @command{tr};
+contents.  Therefore, they are not fully implemented in GNU @command{tr};
 each character's equivalence class consists only of that character,
@@ -6143,5 +6143,5 @@
 
-By default, @sc{gnu} @command{tr} handles this case like BSD @command{tr}.
+By default, GNU @command{tr} handles this case like BSD @command{tr}.
 When the @option{--truncate-set1} (@option{-t}) option is given,
-@sc{gnu} @command{tr} handles this case like the System V @command{tr}
+GNU @command{tr} handles this case like the System V @command{tr}
 instead.  This option is ignored for operations other than translation.
@@ -6721,3 +6721,3 @@
 Inhibit display of group information in a long format directory listing.
-(This is the default in some non-@sc{gnu} versions of @command{ls}, so we
+(This is the default in some non-GNU versions of @command{ls}, so we
 provide this option for compatibility.)
@@ -7074,3 +7074,3 @@
 for the @command{dir} program.
-@sc{gnu} @command{ls} uses variable width columns to display as many files as
+GNU @command{ls} uses variable width columns to display as many files as
 possible in the fewest lines.
@@ -7688,3 +7688,3 @@
 # Usage: backup FILE...
-# Create a @sc{gnu}-style backup of each listed FILE.
+# Create a GNU-style backup of each listed FILE.
 fail=0
@@ -7895,3 +7895,3 @@
 @option{-r} to copy symbolic links or special files.  On some
-non-@sc{gnu} systems, @option{-r} implies the equivalent of
+non-GNU systems, @option{-r} implies the equivalent of
 @option{-L} and @option{--copy-contents} for historical reasons.
@@ -8191,3 +8191,3 @@
 @opindex sparse
-Try to seek rather than write @sc{nul} output blocks.
+Try to seek rather than write NUL output blocks.
 On a file system that supports sparse files, this will create
@@ -8197,6 +8197,6 @@
 With @samp{conv=notrunc}, existing data in the output file
-corresponding to @sc{nul} blocks from the input, will be untouched.
+corresponding to NUL blocks from the input, will be untouched.
 With @samp{oflag=append} the seeks performed will be ineffective.
 Similarly, when the output is a device rather than a file,
-@sc{nul} input blocks are not copied, and therefore this option
+NUL input blocks are not copied, and therefore this option
 is most useful with virtual or pre zeroed devices.
@@ -8206,3 +8206,3 @@
 @cindex byte-swapping
-Swap every pair of input bytes.  @sc{gnu} @command{dd}, unlike others, works
+Swap every pair of input bytes.  GNU @command{dd}, unlike others, works
 when an odd number of bytes are read---the last byte is simply copied
@@ -8211,3 +8211,3 @@
 @item sync
-@opindex sync @r{(padding with ASCII @sc{nul}s)}
+@opindex sync @r{(padding with ASCII NULs)}
 Pad every input block to size of @samp{ibs} with trailing zero bytes.
@@ -8937,3 +8937,3 @@
 One common question is how to remove files whose names begin with a
-@samp{-}.  @sc{gnu} @command{rm}, like every program that uses the @code{getopt}
+@samp{-}.  GNU @command{rm}, like every program that uses the @code{getopt}
 function to parse its arguments, lets you use the @samp{--} option to
@@ -10445,3 +10445,3 @@
 You can avoid ambiguities during
-daylight saving transitions by using @sc{utc} time stamps.
+daylight saving transitions by using UTC time stamps.
 
@@ -10604,3 +10604,3 @@
 rather than on the file system containing the device node (i.e., the root
-file system).  @sc{gnu} @command{df} does not attempt to determine the
+file system).  GNU @command{df} does not attempt to determine the
 disk usage
@@ -12061,3 +12061,3 @@
 @code{$str} to expr merely by quoting it to the shell.  One way to
-work around this is to use the @sc{gnu} extension @code{+},
+work around this is to use the GNU extension @code{+},
 (e.g., @code{+ "$str" = foo}); a more portable way is to use
@@ -12552,3 +12552,3 @@
 @opindex --zero
-Separate output items with @sc{nul} characters.
+Separate output items with NUL characters.
 
@@ -12611,3 +12611,3 @@
 @opindex --zero
-Separate output items with @sc{nul} characters.
+Separate output items with NUL characters.
 
@@ -12959,3 +12959,3 @@
 @opindex --zero
-Separate output items with @sc{nul} characters.
+Separate output items with NUL characters.
 
@@ -13347,4 +13347,4 @@
 @cindex pad character
-Use ASCII @sc{del} characters for fill instead of
-ASCII @sc{nul} characters.  Non-POSIX@.
+Use ASCII DEL characters for fill instead of
+ASCII NUL characters.  Non-POSIX@.
 May be negated.
@@ -14699,3 +14699,3 @@
 Coordinated
-Universal Time is often called ``Greenwich Mean Time'' (@sc{gmt}) for
+Universal Time is often called ``Greenwich Mean Time'' (GMT) for
 historical reasons.
@@ -15460,3 +15460,3 @@
 Environment variable names can be empty, and can contain any
-characters other than @samp{=} and ASCII @sc{nul}.
+characters other than @samp{=} and ASCII NUL.
 However, it is wise to limit yourself to names that
@@ -16413,3 +16413,3 @@
 lines of text.  Unix data files are generally just streams of bytes, with
-lines delimited by the ASCII @sc{lf} (Line Feed) character,
+lines delimited by the ASCII LF (Line Feed) character,
 conventionally called a ``newline'' in the Unix literature.  (This is

Diff finished at Sat Jan  5 00:37:21